Subject: [sipcore] Fwd: [Technical Errata Reported] RFC5360 (4650)

From: "Ben Campbell" <[email-masked]>
Date: Wed, 30 Mar 2016 15:02:49 -0500

What do people think of this errata report?

Thanks!

Ben.

Forwarded message:

> From: RFC Errata System <[email-masked]>
> To: [email-masked], [email-masked], 
> [email-masked], [email-masked], [email-masked], 
> [email-masked], [email-masked]
> Cc: [email-masked], [email-masked]
> Subject: [Technical Errata Reported] RFC5360 (4650)
> Date: Tue, 29 Mar 2016 08:50:09 -0700 (PDT)
>
> The following errata report has been submitted for RFC5360,
> "A Framework for Consent-Based Communications in the Session 
> Initiation Protocol (SIP)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5360&eid=4650
>
> --------------------------------------
> Type: Technical
> Reported by: Brett Tate <[email-masked]>
>
> Section: 5.9.3
>
> Original Text
> -------------
> The following is an example of a Permission-Missing header field:
>
> Corrected Text
> --------------
> If the URI contains a comma, question mark or semicolon, the
> URI MUST be enclosed in angle brackets (< and >).
>
> The following is an example of a Permission-Missing header field:
>
> Notes
> -----
> Comma and semicolon can cause decode ambiguities when the header 
> contains addr-spec values instead of name-addr values.  For 
> consistency with RFC 3261 section 20, the same bracket rule is 
> indicated to resolve the ambiguity.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC5360 (draft-ietf-sip-consent-framework-04)
> --------------------------------------
> Title               : A Framework for Consent-Based Communications in 
> the Session Initiation Protocol (SIP)
> Publication Date    : October 2008
> Author(s)           : J. Rosenberg, G. Camarillo, Ed., D. Willis
> Category            : PROPOSED STANDARD
> Source              : Session Initiation Protocol
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: "Ben Campbell" <[email-masked]>
Date: Wed, 30 Mar 2016 15:04:17 -0500

Please include the sipcore list (copied) for this discussion.

Thanks!

Ben.

On 30 Mar 2016, at 12:19, Gonzalo Camarillo wrote:

> Hi,
>
> I like more the name-addr text but can live with the other alternative
> as well. I will let it to the ADs to decide how to resolve all these 
> errata.
>
> Cheers,
>
> Gonzalo
>
> On 30/03/2016 8:17 PM, Brett Tate wrote:
>> Hi,
>>
>> The errata currently reflects a sentence from RFC 3261 section 20 
>> which
>> means the same thing as the other RFC 3261 snippet.
>>
>> Since the mandates are equivalent, duplicating either sentence is 
>> okay with
>> me.
>>
>> If it matters, the related RFC 3325 errata from 2013 is based upon 
>> the RFC
>> 3261 section 20 sentence.  I've recently opened similar errata for 
>> RFC 3515,
>> RFC 5002, RFC 5318, RFC 5360, and RFC 5502.
>>
>> Thanks,
>> Brett
>>
>>> -----Original Message-----
>>> From: Gonzalo Camarillo [mailto:[email-masked]]
>>> Sent: Wednesday, March 30, 2016 12:10 PM
>>> To: Dean Willis; RFC Errata System
>>> Cc: Keith Drage; [email-masked]; [email-masked]; 
>>> [email-masked];
>>> [email-masked]
>>> Subject: Re: [Technical Errata Reported] RFC5360 (4650)
>>>
>>> Hi,
>>>
>>> yes, in RFC 3261 the following text is used instead:
>>>
>>>>    Even if the "display-
>>>>    name" is empty, the "name-addr" form MUST be used if the 
>>>> "addr-spec"
>>>>    contains a comma, question mark, or semicolon.
>>>
>>> So, instead of talking about angle brackets, we probably want to 
>>> talk
>>> about
>>> the "name-addr" form being used in those cases.
>>>
>>> Cheers,
>>>
>>> Gonzalo
>>>
>>> On 29/03/2016 8:51 PM, Dean Willis wrote:
>>>> Seems reasonable to me.
>>>>
>>>> On Mar 29, 2016 10:50 AM, "RFC Errata System"
>>>> <[email-masked] <mailto:[email-masked]>> 
>>>> wrote:
>>>>
>>>>     Reported by: Brett Tate <[email-masked]
>>>>     <mailto:[email-masked]>>
>>>>
>>>>     Section: 5.9.3
>>>>
>>>>     Original Text
>>>>     -------------
>>>>     Title               : A Framework for Consent-Based 
>>>> Communications
>>>>     in the Session Initiation Protocol (SIP)